package com.junmp.jyzb.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.junmp.jyzb.entity.Cabinet;
import com.junmp.jyzb.entity.CabinetBox;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CabinetBoxMapper extends BaseMapper<CabinetBox> {

    List<Map<String, Object>> getBoxMsg(String id);


    List<CabinetBox> selectByIdCabinetBoxes(String id);


    Cabinet getCabByBoxId(@Param("boxId") String locationId);

    List<String> getkfBoxList(@Param("boxList") List<String> boxList,@Param("orgId") Long orgId);
}